org.eclnt.jsfserver.elements.componentnodes

## Class OSMVIEWERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.OSMVIEWERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class OSMVIEWERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSMVIEWERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OSMVIEWERNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindActionListener(IActionListenerDelegation value)`
    `OSMVIEWERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindBridgepage(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindColspan(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindComment(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindLatitude(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindLongitude(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindOsmzoom(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindX(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `bindY(IDynamicContentBindingObject value)`
    `OSMVIEWERNode` | `setAccessiblename(java.lang.String value)`
    `OSMVIEWERNode` | `setActionListener(java.lang.String value)`
    `OSMVIEWERNode` | `setAdapterbinding(java.lang.String value)`
    `OSMVIEWERNode` | `setAnimatechangeofsize(boolean value)`
    `OSMVIEWERNode` | `setAnimatechangeofsize(java.lang.String value)`
    `OSMVIEWERNode` | `setAttributemacro(java.lang.String value)`
    `OSMVIEWERNode` | `setBridgepage(java.lang.String value)`
    `OSMVIEWERNode` | `setColspan(int value)`
    `OSMVIEWERNode` | `setColspan(java.lang.String value)`
    `OSMVIEWERNode` | `setComment(java.lang.String value)`
    `OSMVIEWERNode` | `setConfiginfo(java.lang.String value)`
    `OSMVIEWERNode` | `setHeight(int value)`
    `OSMVIEWERNode` | `setHeight(java.lang.String value)`
    `OSMVIEWERNode` | `setId(java.lang.String value)`
    `OSMVIEWERNode` | `setLatitude(java.lang.String value)`
    `OSMVIEWERNode` | `setLongitude(java.lang.String value)`
    `OSMVIEWERNode` | `setOsmzoom(java.lang.String value)`
    `OSMVIEWERNode` | `setReference(java.lang.String value)`
    `OSMVIEWERNode` | `setRendered(boolean value)`
    `OSMVIEWERNode` | `setRendered(java.lang.String value)`
    `OSMVIEWERNode` | `setRowalignmenty(java.lang.String value)`
    `OSMVIEWERNode` | `setShadow(java.lang.String value)`
    `OSMVIEWERNode` | `setStylevariant(java.lang.String value)`
    `OSMVIEWERNode` | `setWidth(int value)`
    `OSMVIEWERNode` | `setWidth(java.lang.String value)`
    `OSMVIEWERNode` | `setX(int value)`
    `OSMVIEWERNode` | `setX(java.lang.String value)`
    `OSMVIEWERNode` | `setY(int value)`
    `OSMVIEWERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OSMVIEWERNode

          public OSMVIEWERNode()

  - ### Method Detail

    - #### setId

          public OSMVIEWERNode setId(java.lang.String value)

    - #### setAccessiblename

          public OSMVIEWERNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public OSMVIEWERNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public OSMVIEWERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public OSMVIEWERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public OSMVIEWERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public OSMVIEWERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public OSMVIEWERNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public OSMVIEWERNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public OSMVIEWERNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public OSMVIEWERNode setAttributemacro(java.lang.String value)

    - #### setBridgepage

          public OSMVIEWERNode setBridgepage(java.lang.String value)

    - #### bindBridgepage

          public OSMVIEWERNode bindBridgepage(IDynamicContentBindingObject value)

    - #### setColspan

          public OSMVIEWERNode setColspan(java.lang.String value)

    - #### bindColspan

          public OSMVIEWERNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public OSMVIEWERNode setColspan(int value)

    - #### setComment

          public OSMVIEWERNode setComment(java.lang.String value)

    - #### bindComment

          public OSMVIEWERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public OSMVIEWERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public OSMVIEWERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public OSMVIEWERNode setHeight(java.lang.String value)

    - #### bindHeight

          public OSMVIEWERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public OSMVIEWERNode setHeight(int value)

    - #### setLatitude

          public OSMVIEWERNode setLatitude(java.lang.String value)

    - #### bindLatitude

          public OSMVIEWERNode bindLatitude(IDynamicContentBindingObject value)

    - #### setLongitude

          public OSMVIEWERNode setLongitude(java.lang.String value)

    - #### bindLongitude

          public OSMVIEWERNode bindLongitude(IDynamicContentBindingObject value)

    - #### setOsmzoom

          public OSMVIEWERNode setOsmzoom(java.lang.String value)

    - #### bindOsmzoom

          public OSMVIEWERNode bindOsmzoom(IDynamicContentBindingObject value)

    - #### setReference

          public OSMVIEWERNode setReference(java.lang.String value)

    - #### setRendered

          public OSMVIEWERNode setRendered(java.lang.String value)

    - #### bindRendered

          public OSMVIEWERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public OSMVIEWERNode setRendered(boolean value)

    - #### setRowalignmenty

          public OSMVIEWERNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public OSMVIEWERNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public OSMVIEWERNode setShadow(java.lang.String value)

    - #### bindShadow

          public OSMVIEWERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public OSMVIEWERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public OSMVIEWERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public OSMVIEWERNode setWidth(java.lang.String value)

    - #### bindWidth

          public OSMVIEWERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public OSMVIEWERNode setWidth(int value)

    - #### setX

          public OSMVIEWERNode setX(java.lang.String value)

    - #### bindX

          public OSMVIEWERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public OSMVIEWERNode setX(int value)

    - #### setY

          public OSMVIEWERNode setY(java.lang.String value)

    - #### bindY

          public OSMVIEWERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public OSMVIEWERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.